import {Component, EventEmitter, OnInit, Output} from '@angular/core';
import {FormBuilder, FormGroup, Validators} from '@angular/forms';
import {AlarmService} from '../../alarm.service';
import {NzMessageService} from 'ng-zorro-antd';

@Component({
    selector: 'smart-media-type',
    templateUrl: './media-type.component.html',
    styles: []
})
export class MediaTypeComponent implements OnInit {
    @Output() done = new EventEmitter<any>();
    isVisible = false;
    title;
    validateForm: FormGroup;

    constructor(private fb: FormBuilder, private alarmSer: AlarmService,
                private message: NzMessageService) {
    }

    ngOnInit() {
        this.initForm();
    }

    initForm() {
        this.validateForm = this.fb.group({
            description: [null, [Validators.required]],
            type: [null],
            smtp_server: [null],
            smtp_helo: [null],
            smtp_email: [null],
            status: [0]
        });
    }

    //新增
    showAddModal(title) {
        this.title = title;
        this.isVisible = true;
    }

    //编辑
    showEditModal(item, title) {
        this.title = title;
        this.isVisible = true;
    }

    handleCancel() {
        this.isVisible = false;
    }

    handleOk() {
        this.alarmSer.mediaTypeCreate(this.validateForm.value).subscribe(
            (res) => {
                if (res.errCode == 10000) {
                    this.isVisible = false;
                    this.message.info('添加成功');
                    this.done.emit();
                }
            }
        );
    }

}
